Set a proxied zone access policy
import requests
url = "https://platform.ankra.app/api/v1/org/cloud-dns/zones/{zone_id}/access"
payload = { "roles": ["<string>"] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({roles: ['<string>']})
};
fetch('https://platform.ankra.app/api/v1/org/cloud-dns/zones/{zone_id}/access', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request PUT \
--url https://platform.ankra.app/api/v1/org/cloud-dns/zones/{zone_id}/access \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"roles": [
"<string>"
]
}
'{
"access": {
"mode": "public",
"roles": [
"<string>"
],
"organisation_id": "<string>",
"inherited_from": "<string>"
}
}DNS
Set a proxied zone access policy
Sets public or organisation-only access for a Cloud proxied zone. Optional roles restrict access to matching active members. Requires members.manage; Cloud checks account ownership and DNS bypass rules.
PUT
/
api
/
v1
/
org
/
cloud-dns
/
zones
/
{zone_id}
/
access
Set a proxied zone access policy
import requests
url = "https://platform.ankra.app/api/v1/org/cloud-dns/zones/{zone_id}/access"
payload = { "roles": ["<string>"] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({roles: ['<string>']})
};
fetch('https://platform.ankra.app/api/v1/org/cloud-dns/zones/{zone_id}/access', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request PUT \
--url https://platform.ankra.app/api/v1/org/cloud-dns/zones/{zone_id}/access \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"roles": [
"<string>"
]
}
'{
"access": {
"mode": "public",
"roles": [
"<string>"
],
"organisation_id": "<string>",
"inherited_from": "<string>"
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
application/json
Response
The effective policy
Show child attributes
Show child attributes